
QGIS Application - Feature request #17349

Sort out the trusted/untrusted plugins/authors stuff 

2017-10-28 11:23 AM - Borys Jurgiel

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 25246

Description

Let's gather existing discussions.

Richard said:

Instead of this black-white labeling I now have the idea that we should maybe move to some 'crowd testing': that is we ask everybody to

'test' have a look at new plugins, and not earlier then such a plugin 'earns' enough 'works for me and did not harm me' points it will get a

flag 'the crowd thinks this one is ok'...

Not only then we share the responsibility to tell if a plugin is ok/helpful/harmful or not, but we can also make plugin builders to try to

'market' their plugins by asking on lists to test his/her plugin...

ML topic:

http://osgeo-org.1560.x6.nabble.com/QGIS-Developer-Reword-quot-Trusted-Plugin-quot-gt-quot-Trusted-Plugin-Author-quot-td533404

.html

Previous issue: #14914 (now depreciated)

Related issues:

Related to QGIS Application - Feature request # 14914: Add a warning to Plugi... Closed 2016-05-27

History

#1 - 2017-10-28 11:25 AM - Borys Jurgiel

- Related to Feature request #14914: Add a warning to Plugin manager added

#2 - 2017-10-28 01:39 PM - Jürgen Fischer

- Description updated

#3 - 2018-09-13 12:49 PM - Borys Jurgiel

- Resolution set to fixed/implemented

- Status changed from Open to Closed

I guess we can assume it's sorted out.
